> For the complete documentation index, see [llms.txt](https://doc.batch.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.batch.com/developer/sdk/web/profile-data/custom-locale.md).

# Custom region/language

Batch allows you to set a custom region or a custom language that will override the value detected by the SDK. By default, Batch collects the language of your users' browser's settings.

Since the region cannot be collected from the browser, Batch can use GeoIP on server side. This is disabled by default, but you may want to enable it, to do so update your Batch's SDK setup as following:

```js

batchSDK('setup', {
  ...,
  // Optional - Default data collection related configuration.
  defaultDataCollection: {

    // Whether Batch should resolve the user's region/location from the ip address.
    // Optional - default: false
    geoIP: true
  }
});

```

Setting a custom region/language is useful if:

* You don't want to use the values detected by Batch.
* Your users can choose their own language or region for localization purposes.

Here is how to set a custom region/language:

{% tabs %}
{% tab title="JavaScript (ES8)" %}

```javascript
batchSDK(async api => {
    const profile = await api.profile();
    await profile.edit(editor => {
      editor
        .setLanguage("en")
        .setRegion("EN")
    })
});
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
batchSDK(api => {
    api.profile().then(profile => {
      profile.edit(editor => {
        editor
          .setLanguage("en")
          .setRegion("EN")
      })
    })
});
```

{% endtab %}
{% endtabs %}

A list of language and region/country codes can be found [here](/developer/api/mep/campaigns/advanced.md#valid-language-codes).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://doc.batch.com/developer/sdk/web/profile-data/custom-locale.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
